## tuxracer-extras 0.4-1

=== Makefile ===
# Makefile for fortunes-de

# Copyright (C)  Andreas Tille (tille@debian.org)
# lighlty modifierd by Alexander Schmehl <schmehl@cs.uni-frankfurt.de>

PACKAGE=tuxracer-courses
VERSION=0.3.2

DISTFILES = Makefile
SUBDIRS = courses cups doc

TAR = tar
GZIP = --best

prefix=/usr
datadir=$(prefix)/share/games/tuxracer
coursesdir=$(datadir)/courses/contrib
cupsdir=$(datadir)/contrib
srcdir = .
top_srcdir = .
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
backup_extensions = "~" ".bak"

all: check

dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)

distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
	for subdir in $(SUBDIRS); do \
	  d=$(srcdir); \
	  test -d $(distdir)/$$subdir \
	  || cp -pR $$d/$$subdir $(distdir)/$$subdir; \
	done

install: 
	mkdir -p $(coursesdir)
	cp -a courses/* $(coursesdir)
#	mkdir -p $(cupsdir)
#	find cups -name "*.tcl" -exec cp -a \{\} $(cupsdir) \;

clean:
	-rm -f build $(FILES_TO_REMOVE)

cleanbackup: clean
	for back in $(backup_extensions); do \
	  ( find . -type f -name *$$back -exec rm -f \{\} \; ) \
	done

distclean: cleanbackup
	-rm -f $(distdir).tar.gz

=== debian/changelog ===
tuxracer-extras (0.4-1) unstable; urgency=low

  * clean up:
    - non-executables with executable flag
    - xvpics directories
    - non relative symlinks to /usr/share/common-licenses/GPL
  * builded as native Debian package
  * first package version, which should be ready for debian archive
    - Closes: #241206
  * added new courses:
    - Wild West Chute Out
    - Keep Your Country Tidy
  * replaced my universities e-mail address with my private one, since I
    started NM with that one
  * renamed package from tuxracer-courses to tuxracer-extras:
    - package might later contain not only courses, but tournaments and themes
  * replaced the Depends: tuxracer to a Recommends
  * removed course goldenset, since it crashed tuxracer under certain
    circumstances (will check that later)
  * changed in the html-documentation of »Milo's castle« and »This
    Means Something« the links from a local COPYING.txt to
    /usr/share/common-licenses/GPL

 -- Alexander Schmehl <alexander@schmehl.info>  Mon, 12 Apr 2004 17:35:40 +0200

tuxracer-courses (0.3.2-1) unstable; urgency=low

  * clean up (removed various .xvpics directories, etc)

 -- Alexander Schmehl <alex@esgaroth.schmehl.info>  Mon, 16 Feb 2004 00:35:16 +0100

tuxracer-courses (0.3.1-1) unstable; urgency=low

  * removed golf, since it is not a course, but a theme

 -- Alexander Schmehl <schmehl@cs.uni-frankfurt.de>  Mon, 16 Feb 2004 00:07:59 +0100

tuxracer-courses (0.3-1) unstable; urgency=low

  * New Maintainer Alexander Schmehl
  * New courses
  * removed courses with unknown or unfree license
  * Added proper copyright file

 -- Alexander Schmehl <schmehl@cs.uni-frankfurt.de>  Sun, 15 Feb 2004 22:16:38 +0100

tuxracer-courses (0.2-2) unstable; urgency=low

  * Versioned Build-Depends on debhelper (>=4)
  * Standards-Version 3.6.1.0

 -- Andreas Tille <tille@debian.org>  Mon,  8 Dec 2003 16:39:12 +0100

tuxracer-courses (0.2-1) unstable; urgency=low

  * New courses.

 -- Andreas Tille <tille@debian.org>  Tue,  3 Dec 2002 23:47:45 +0100

tuxracer-courses (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Andreas Tille <tille@debian.org>  Sat, 12 Jan 2002 17:30:34 +0100

=== debian/control ===
Source: tuxracer-extras
Section: games
Priority: optional
Maintainer: Alexander Schmehl <alexander@schmehl.info>
Build-Depends-Indep: debhelper (>= 4)
Standards-Version: 3.6.1.0

Package: tuxracer-extras
Architecture: all
Recommends: tuxracer (>= 0.61-1)
Replaces: tuxracer-courses (<= 0.3.2)
Conflicts: tuxracer-courses (<= 0.3.2)
Description: Additional courses for TuxRacer
 This package contains many extra courses for the game TuxRacer, downloaded
 from http://tuxracer.fubaby.com/courses.php.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

package=tuxracer-extras

# This is the debhelper compatibility version to use.
#export DH_COMPAT=4


build: build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
	find `pwd`/debian/`dh_listpackages`/usr -name "*.xcf" -exec rm \{\} \;

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs doc/*
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tuxracer-extras 0.6

=== debian/changelog ===
tuxracer-extras (0.6-2) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * debian/rules:
    - Convert to dh
    - Drop dpatch references
  * debian/control:
    - Bump debhelper to 9
    - Drop build-depends on dpatch
  * debian/compat: Set as 9
  * Delete debian/README.source, it's dpatch info
  * Create debian/source/format
  * Create empty debian/watch file to remove lintian error

  [ Alexander Reichle-Schmehl ]
  * Removed myself from uploaders.

  [ Markus Koschany ]
  * Add myself to Uploaders.
  * Declare compliance with Debian Policy 3.9.5.
  * wrap-and-sort -sa.
  * debian/control: Remove Replaces field for planetpenguin-racer.
    It is obsolete.
  * Drop the transitional planetpenguin-racer-extras binary package.
    It is no longer needed.
  * Convert old patches to quilt patches.
  * Fix lintian warning "copyright-refers-to-symlink-license".
  * Do not install the files in doc/ anymore.

 -- Markus Koschany <apo@gambaru.de>  Thu, 08 May 2014 17:12:42 +0200

tuxracer-extras (0.6-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

  [ Ansgar Burchardt ]
  * debian/control: Change XS-Vcs-* to Vcs-*
  * Remove Homepage semi-field from description

  [ Alexander Reichle-Schmehl ]
  * Adopt debian/control to my new name
  * Introduce dummy transition package
  * Add depends on {misc:Depends}, as we are using debhelper
  * Create new orig-tarball, as the following courses are now shipped with
    extremetuxracer and could be dropped:
    * deadman
    * mount herring
    * mount_satan
    * hamburger_hill
    * hazzard_valley
    * ice_labyrinth
    * skull_mountain
    * snow_valley
    * the_narrow_way
    * Candy_Lane
    * Crazy_Path
    * hey_tux
    * hippo_run
    * ice_pipeline
    * in_search_of_vodka
    * Chinese_Wall
    * Explore_Mountains
    * Frozen_Lakes
    * Secret_Valleys
    * Wild_Mountains
  * Add lintian override for versionless reference to the GPL (the courses
    are really licensed that way)
  * Bump build-depends on debhelper to >> 6.0.7~, to ensure that dh_lintian
    is present

  [ Bertrand Marc ]
  * Change path to make these courses available in etracer (Closes: #568990).
  * Remove patches/20_Georg_Veeder.dpatch, all his courses are included
    upstream.
  * Recommend on extremetuxracer.
  * Stop mentionning planetpenguin-racer and rename package.
  * Bump standards version to 3.9.0 (no changes needed).
  * Update long description in debian/control.

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 20 Jul 2010 11:21:32 +0200

tuxracer-extras (0.5-3) unstable; urgency=low

  The "it's time for 0.6 but I don't have time"-release:
  * debian/control
    - changed maintainer to pkg-games group, myself as uploader
    - Changed Build-Depends-Indep: do real Build-Depends
      Thanks to Pierre Habouzit for the hint
    - changed Build-Depends to debhelper >5, upgraded debian/compat to 5
    - bumped standards to 3.7.2
      - no further changes needed
    - removed dummy transition package "tuxracer-extras"
    - modified desctiption of "planetpenguin-racer-extras":
      - added approcimate number of courses
      - added hint, that startup might take some time

 -- Alexander Schmehl <tolimar@debian.org>  Fri, 16 Jun 2006 17:35:40 +0200

tuxracer-extras (0.5-2) unstable; urgency=low

  * tuxracer -> ppracer transition:
    - changed installation path to /usr/share/games/ppracer/courses/contrib/
    - renamed binary-package to planetpenguin-racer-extras
    - created a dummy transistation package depending on new
      planetpenguin-racer-extras

 -- Alexander Schmehl <alexander@schmehl.info>  Tue, 12 Apr 2005 23:58:56 +0200

tuxracer-extras (0.5-1) unstable; urgency=low

  * package is using dpatch now
  * removed undisplayable characters from cours descriptions (Closes: #244759):
    - 20_Georg_Veeder.dpatch: replaces all "Georg Veeder - foo@bar" with
      "Georg Veeder <foo@bar>"
    - 20_Korora_the_Penguin.dpatch: replaces all "korora_penguin@yahoo.com"
      with "korora<underscore>penguin@yahoo.com"
  * 10_GPL_hyperlinks.dpatch: The replacement of the hyperlinks to the GPL in the
    documentation of »Milo's castle« and »This Means Something« is done now
    via dpatch rather than directly in the orig source
    - therefore added an exclude COPYING.txt to the dh_installdocs
  * 30_Tom_Kocourek.dpatch: removing unnecessary (and strange looking) ">" and
    "<" characters in Tom Kocoureks course descriptions
  * isn't a native package longer (Sorry, was a bad idea. Thanks for the
    explanation, Andreas.)
  * added "Enhances: tuxracer" to the control file
  * tweaked long description with a "Homepage:" semi-header
  * replaced Makefile with proper invoke of dh_install

 -- Alexander Schmehl <alexander@schmehl.info>  Wed, 21 Jul 2004 14:59:01 +0200

=== debian/control ===
Source: tuxracer-extras
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/tuxracer-extras/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/tuxracer-extras/
Homepage: http://tuxracer.fubaby.com/courses.php

Package: extremetuxracer-extras
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 extremetuxracer (>= 0.4)
Enhances:
 extremetuxracer
Description: Additional courses for Extreme Tux Racer
 This package contains extra courses for the game Extreme Tux
 Racer.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install --exclude *.xcf courses/* /usr/share/games/extremetuxracer/courses/contrib/
